Jump to content

MediaWiki:Common.css: Difference between revisions

From Altierrapedia
No edit summary
No edit summary
Line 44: Line 44:
     column-count: 3;
     column-count: 3;
     column-gap: 2em;
     column-gap: 2em;
     column-rule: 4px double grey;
     column-rule: 1px solid darkgrey;
}
}

Revision as of 09:27, 1 March 2026

/* CSS placed here will be applied to all skins */

/* Common Infobox Styles */
.sideinfo, .centreinfo {
    margin: 0 0 1em 1em;
    border: 1px solid #a2a9b1;
    background-color: #f8f9fa;
    border-collapse: collapse;
    font-size: 88%;
    line-height: 1.5em;
}
.sideinfo {
    float: right;
    clear: right;
    width: 300px;
}
.centreinfo {
    margin-left: auto; 
    margin-right: auto;
    float: none;       /* Overrides default MediaWiki infobox floating */
    display: table;    /* Ensures the margins calculate based on content width */
    clear: both;       /* Prevents sidebars from pushing it to one side */
}
.sideinfo th {
    background-color: #DFE9F6;
    text-align: left;
}
.centreinfo th {
    background-color: #DFE9F6;;
}
.sideinfo th, .sideinfo td, .centreinfo th, .centreinfo td {
    border: 1px solid #a2a9b1;
    padding: 0.2em 0.4em;
    vertical-align: top;
}
.centreinfo th, .centreinfo td {
    text-align: center;
}

.centred {
    text-align: center;
}
.columnbox {
    column-count: 3;
    column-gap: 2em;
    column-rule: 1px solid darkgrey;
}